Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#178 Hours are not displayed

1.12.1
closed-fixed
nobody
mpg123 (103)
5
2013-02-24
2012-10-18
Stan
No

When playing a stream, and having entered " v " to show some info including the playingtime, for longer than an hour the timecounter keeps counting minutes in stead of starting to display hours and minutes.

I checked in the newer releases but did not find an update for this.

Discussion

  • Thomas Orgis
    Thomas Orgis
    2012-10-19

    Yeah, the display is not planned for such long tracks. Can be trivially added, though. But perhaps one should combine this with a query for terminal width to avoid too long lines flooding the display.

     
  • Stan
    Stan
    2012-10-19

    Maybe there is an other solution for the line length:
    When playing an audio file the line looks like this:
    Frame# 6163 [ 8141], Time: 02:40.99 [03:32.66], RVA: off, Vol: 48( 48)
    most audio files are less than an hour. Althoug some podcasts extend one hour.
    When playing a stream the line looks like this:
    Frame# 152 [ 0], Time: 00:05.47 [00:00.00], RVA: off, Vol: 21( 21)
    The frame count back counter is not used so in case of playing a stream it can be omitted. Hence there is plenty of time to display the hours, even days :-) An other option is to omit the milliseconds when playing a stream.

     
  • Thomas Orgis
    Thomas Orgis
    2012-11-02

    I implemented now the switch from mm:ss.ss to hh:mm:ss for large times in SVN. Could you check if http://mpg123.org/snapshot does the trick for you?

     
  • Stan
    Stan
    2012-11-08

    Thanks,. I have tried to install the new version but got an error when running make-install. I have to figure out how to solve that. Might take some time.

     
  • Thomas Orgis
    Thomas Orgis
    2013-02-04

    Be noted that there is a new http://mpg123.org/snapshot that will be released as 1.15.0 short-ish. Might try to build that again ...

     
  • Thomas Orgis
    Thomas Orgis
    2013-02-24

    • status: open --> closed-fixed